# Uses of Class
org.apache.sysds.runtime.matrix.data.RandomMatrixGenerator

Packages that use RandomMatrixGenerator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.matrix.data

## Uses of RandomMatrixGenerator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type RandomMatrixGenerator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`randOperationsInPlace(RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed)`
`MatrixBlock`
CompressedMatrixBlock.`randOperationsInPlace(RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed, int k)`

## Uses of RandomMatrixGenerator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data that return RandomMatrixGenerator
Modifier and Type
Method
Description
`static RandomMatrixGenerator`
LibMatrixDatagen.`createRandomMatrixGenerator(String pdfStr, int r, int c, int blen, double sp, double min, double max, String distParams)`
Methods in org.apache.sysds.runtime.matrix.data with parameters of type RandomMatrixGenerator
Modifier and Type
Method
Description
`static void`
LibMatrixDatagen.`generateRandomMatrix(MatrixBlock out, RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed)`
Function to generate a matrix of random numbers.
`static void`
LibMatrixDatagen.`generateRandomMatrix(MatrixBlock out, RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed, int k)`
Function to generate a matrix of random numbers.
`static void`
LibMatrixDatagen.`genRandomNumbers(boolean invokedFromCP, int rl, int ru, int cl, int cu, MatrixBlock out, RandomMatrixGenerator rgen, long bSeed, long[] seeds)`
`static MatrixBlock`
MatrixBlock.`randOperations(RandomMatrixGenerator rgen, long seed)`
Function to generate the random matrix with specified dimensions and block dimensions.
`static MatrixBlock`
MatrixBlock.`randOperations(RandomMatrixGenerator rgen, long seed, int k)`
Function to generate the random matrix with specified dimensions and block dimensions.
`MatrixBlock`
MatrixBlock.`randOperationsInPlace(RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed)`
Function to generate a matrix of random numbers.
`MatrixBlock`
MatrixBlock.`randOperationsInPlace(RandomMatrixGenerator rgen, org.apache.commons.math3.random.Well1024a bigrand, long bSeed, int k)`
Function to generate a matrix of random numbers.